# Retrieve bills for a link Retrieve bills from one or more accounts for a specific link within a specified date range. Endpoint: POST /api/bills/ Version: 1.223.0 Security: basicAuth ## Query parameters: - `omit` (string) Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article. - `fields` (string) Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article. ## Request fields (application/json): - `link` (string, required) The link.id you want to retrieve information for. Example: "c81a1dea-6dd6-4999-8b9f-541ee8197058" - `save_data` (boolean) Indicates whether or not to persist the data in Belvo. By default, this is set to true and we return a 201 Created response. When set to false, the data won't be persisted and we return a 200 OK response. Example: true ## Response 200 fields (application/json): - `id` (string) Belvo's unique identifier for the current item. Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d" - `created_at` (string) The ISO-8601 timestamp of when the data point was created in Belvo's database. Example: "2022-02-09T08:45:50.406032Z" - `collected_at` (string) The ISO-8601 timestamp when the data point was collected. Example: "2022-02-09T08:45:50.406032Z" - `account` (object,null) Details regarding the account. - `account.link` (string,null, required) The link.id the data belongs to. Example: "30cb4806-6e00-48a4-91c9-ca55968576c8" - `account.institution` (object, required) Details regarding the institution. - `account.institution.name` (string) The name of the institution, as designated by Belvo. Example: "erebor_mx_retail" - `account.institution.type` (string) The type of institution. We return one of the following values: - bank - fiscal - employment Enum: "bank", "fiscal", "employment" - `account.last_accessed_at` (string,null, required) The ISO-8601 timestamp of Belvo's most recent successful access to the institution for the given link. Example: "2021-03-09T10:28:40.000Z" - `account.category` (string,null, required) The type of account. We return one of the following enum values: - ADVANCE_DEPOSIT_ACCOUNT - CHECKING_ACCOUNT - CREDIT_CARD - FINANCING_ACCOUNT - INVESTMENT_ACCOUNT - INVOICE_FINANCING_ACCOUNT - LOAN_ACCOUNT - PENSION_FUND_ACCOUNT - SAVINGS_ACCOUNT - UNCATEGORIZED Enum: "ADVANCE_DEPOSIT_ACCOUNT", "CHECKING_ACCOUNT", "CREDIT_CARD", "FINANCING_ACCOUNT", "INVESTMENT_ACCOUNT", "INVOICE_FINANCING_ACCOUNT", "LOAN_ACCOUNT", "PENSION_FUND_ACCOUNT", "SAVINGS_ACCOUNT", "UNCATEGORIZED" - `account.balance_type` (string,null, required) Indicates whether this account is either an ASSET or a LIABILITY. You can consider the balance of an ASSET as being positive, while the balance of a LIABILITY as negative. Example: "ASSET" - `account.overdraft` (object,null) - `account.overdraft.arranged` (number, required) The agreed upon overdraft limit between the account holder and the institution. > Non-nullable: A value must be returned by Brazil's open finance network if the overdraft field is available. Example: 5000.5 - `account.overdraft.used` (number, required) The overdraft value used. > Non-nullable: A value must be returned by Brazil's open finance network if the overdraft field is available. Example: 1000.5 - `account.overdraft.unarranged` (number, required) The overdraft used that was not arranged between the account holder and the institution. > Non-nullable: A value must be returned by Brazil's open finance network if the overdraft field is available. Example: 300.1 - `account.type` (string, required) The account type, as designated by the institution. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "STANDARD_NACIONAL" - `account.subtype` (string, required) The account subtype, as designated by the institution. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "FINANCIAMENTO_HABITACIONAL_SFH" - `account.name` (string,null, required) The account name, as given by the institution. Example: "Cuenta Perfiles- M.N. - MXN-666" - `account.number` (string,null, required) The account number, as designated by the institution. Example: "4057068115181" - `account.agency` (string,null, required) The branch code where the product was opened. Example: "6272" - `account.check_digit` (string,null, required) The check digit of the product's number, if applicable. Example: "7" - `account.balance` (object, required) Details regarding the current and available balances for the account. - `account.balance.current` (number,null, required) The current balance is calculated differently according to the type of account. - 💰 Checking and saving accounts: The user's account balance at the collected_at timestamp. - 💳 Credit cards: The amount the user has spent in the current card billing period (see credit_data.cutting_date for information on when the current billing period finishes). - 🏡 Loan accounts: The amount remaining to pay on the users's loan. Example: 5874.13 - `account.balance.available` (number,null) The balance that the account owner can use. - 💰 Checking and saving accounts: The available balance may be different to the current balance due to pending transactions. - 💳 Credit cards: The credit amount the user still has available for the current period. The amount is calculated as credit_data.credit_limit minus balance.current. - 🏡 Loan accounts: The present value required to pay off the loan, as provided by the institution. Note: If the institution does not provide this value, we return null. Example: 5621.12 - `account.balance.blocked` (number) The amount that is currently blocked due to pending transactions. > Non-nullable: A value must be returned by Brazil's open finance network if the balances field is available. Example: 60.32 - `account.balance.automatically_invested` (number) The amount that is automatically invested (as agreed upon with the institution). > Non-nullable: A value must be returned by Brazil's open finance network if the balances field is available. Example: 131.5 - `account.currency` (string, required) The three-letter currency code (ISO-4217). > Non-nullable: A value must be returned by Brazil's open finance network if the balances field is available. Example: "BRL" - `account.public_identification_name` (string,null, required) The public name for the type of identification. For 🇧🇷 Brazilian savings and checking accounts, this field will be AGENCY/ACCOUNT. Example: "AGENCY/ACCOUNT" - `account.public_identification_value` (string,null, required) The value for the public_identification_name. For 🇧🇷 OFDA Brazilian savings and checking accounts, this field will be the agency and bank account number, separated by a slash. For example: 0444/45722-0. For 🇧🇷 OFDA Brazilian credit card accounts, we will return a string of concatenated credit card numbers associated with the account. For example: "8763,9076,5522" Example: "0444/45722-0" - `account.internal_identification` (string, required) The institution's internal identification for the account. > Non-nullable: A value must be returned by Brazil's open finance network if the balances field is available. Example: "92792126019929279212650822221989319252576" - `account.credit_data` (object,null, required) Details regarding the credit cards associated with this account. - `account.credit_data.credit_limit` (number,null, required) The upper credit limit of the card. > Non-nullable: A value must be returned by Brazil's open finance network. Example: 192000.9 - `account.credit_data.limits` (array) - `account.credit_data.limits.identification_number` (string,null, required) The credit card number. Note: Often, this is just the last four digit of the credit card. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "4453" - `account.credit_data.limits.credit_limit` (number,null, required) The limit of the credit card. Example: 1000.04 - `account.credit_data.limits.used_amount` (number,null, required) The amount used. Example: 400.04 - `account.credit_data.limits.available_amount` (number, required) The amount still available. > Non-nullable: A value must be returned by Brazil's open finance network. Example: 600 - `account.credit_data.limits.is_limit_flexible` (boolean, required) Boolean to indicate if the credit_limit is flexible. > Non-nullable: A value must be returned by Brazil's open finance network. - `account.credit_data.limits.type` (string, required) The type of limit. We return one of the following values: - TOTAL_LIMIT - MODAL_LIMIT > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "TOTAL_LIMIT", "MODAL_LIMIT" - `account.credit_data.limits.consolidation_type` (string, required) Indicates whether or not the credit limit is consolidated or individual. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "INDIVIDUAL" - `account.credit_data.limits.line_name` (string,null, required) The credit limit line name. Example: "CREDITO_A_VISTA" - `account.credit_data.limits.line_name_additional_info` (string,null, required) Additional information about the line name. Example: "Informações adicionais e complementares" - `account.credit_data.cutting_date` (string,null) The date when the credit card's bill is due. Example: "2019-12-11" - `account.credit_data.minimum_payment` (number,null) The minimum amount that the account owner needs to pay in the current credit period. Example: 2400.3 - `account.credit_data.network` (string) The credit network that the card is associated with. We return one of the following values: - VISA - MASTERCARD - AMERICAN_EXPRESS - DINERS_CLUB - HIPERCARD - BANDEIRA_PROPRIA - CHEQUE_ELETRONICO - ELO - OTHER > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "VISA", "MASTERCARD", "AMERICAN_EXPRESS", "DINERS_CLUB", "HIPERCARD", "BANDEIRA_PROPRIA", "CHEQUE_ELETRONICO", "ELO", "OTHER" - `account.credit_data.network_additional_info` (string,null) Additional information about the credit card network. Example: "It's an orange card." - `account.credit_data.cards` (array) Details regarding the cards associated with the account. - `account.credit_data.cards.is_multiple` (boolean, required) Boolean to indicate if this account has multiple credit cards. > Non-nullable: A value must be returned by Brazil's open finance network. - `account.credit_data.next_payment_date` (string,null) Note: This field is not applicable for OF Brazil and will return null. - `account.credit_data.no_interest_payment` (number,null) Note: This field is not applicable for OF Brazil and will return null. - `account.credit_data.interest_rate` (number,null) Note: This field is not applicable for OF Brazil and will return null. - `account.credit_data.monthly_payment` (number,null) Note: This field is not applicable for OF Brazil and will return null. - `account.credit_data.last_payment_date` (string,null) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data` (object,null, required) The loan options associated with this account. - `account.loan_data.loan_code` (string, required) The country-specific standardized contract number. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "92792126019929279212650822221989319252576" - `account.loan_data.contract_amount` (number,null, required) The initial total loan amount when the contract was signed, calculated by the institution. This amount includes the principal + interest + taxes + fees. Example: 202000 - `account.loan_data.total_effective_cost` (number,null) The initial total effective cost of the loan. Example: 209000 - `account.loan_data.loan_type` (string, required) The type of the loan, according to the institution. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "HOME_EQUITY" - `account.loan_data.outstanding_balance` (number,null, required) The amount remaining to pay in total, including interest. Example: 182000 - `account.loan_data.interest_rates` (array, required) Breakdown of the interest applied to the loan. With OF Brazil, we highly recommend using the information in interest_rate_data for in-depth information. > Non-nullable: A value must be returned by Brazil's open finance network. - `account.loan_data.interest_rates.name` (string,null, required) The name of the type of interest rate applied to the loan. Note: For OFDA Brazil, we recommend you use the interest_date_data.tax_type parameter. Example: "NOMINAL" - `account.loan_data.interest_rates.type` (string, required) The period that the interest is applied to the loan. > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "MONTHLY", "YEARLY" - `account.loan_data.interest_rates.value` (number,null, required) The interest rate (in percent or currency value). Note: For OFDA Brazil, we recommend you use the interest_date_data.pre_fixed_rate and interest_date_data.post_fixed_rateparameter. Example: 7.85 - `account.loan_data.interest_rates.interest_rate_data` (object,null, required) Detailed information regarding the interest rate. - `account.loan_data.interest_rates.interest_rate_data.tax_type` (string, required) The type of interest rate tax. We return one of the following values: - NOMINAL - EFFECTIVE > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "NOMINAL", "EFFECTIVE" - `account.loan_data.interest_rates.interest_rate_data.rate_type` (string, required) The type of interest rate. We return one of the following values: - SIMPLE - COMPOUND > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "SIMPLE", "COMPOUND" - `account.loan_data.interest_rates.interest_rate_data.calculation_base` (string, required) The base calculation for the interest rate. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "30/360" - `account.loan_data.interest_rates.interest_rate_data.reference_index_type` (string, required) The reference index rate. We return one of the following values: - WITHOUT_INDEX_TYPE - PRE_FIXED - POST_FIXED - FLOATING - INDEXED_PRICE - RURAL_CREDIT - OTHER_INDEX > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "WITHOUT_INDEX_TYPE", "PRE_FIXED", "POST_FIXED", "FLOATING", "INDEXED_PRICE", "RURAL_CREDIT", "OTHER_INDEX" - `account.loan_data.interest_rates.interest_rate_data.reference_index_subtype` (string,null, required) The subtype of the reference index rate. Example: "TR_TBF" - `account.loan_data.interest_rates.interest_rate_data.reference_index_info` (string,null, required) Additional information regarding the reference index rate. Example: "Additional information" - `account.loan_data.interest_rates.interest_rate_data.pre_fixed_rate` (number, required) The pre-fixed percentage rate of the interest rate. > Non-nullable: A value must be returned by Brazil's open finance network. Example: 0.062 - `account.loan_data.interest_rates.interest_rate_data.post_fixed_rate` (number, required) The post-fixed percentage rate of the interest rate. > Non-nullable: A value must be returned by Brazil's open finance network. Example: 0.062 - `account.loan_data.interest_rates.interest_rate_data.additional_info` (string,null, required) Additional information regarding the interest rate. Example: "Additional information" - `account.loan_data.fees` (array,null, required) Breakdown of the fees applied to the loan. - `account.loan_data.fees.type` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. Enum: "OPERATION_FEE", "INSURANCE_FEE", "OTHERS", null - `account.loan_data.fees.value` (number,null, required) The total value of the fee. Same currency as the loan. Example: 5.6 - `account.loan_data.fees.name` (string, required) The fee name. > Non-nullable: A value must be returned by Brazil's open finance network if the fees field is available. Example: "Renovação de cadastro" - `account.loan_data.fees.code` (string, required) The fee code. > Non-nullable: A value must be returned by Brazil's open finance network if the fees field is available. Example: "CADASTRO" - `account.loan_data.fees.fee_charge_type` (string, required) Indicates the type of charge. We return one of the following values: - SINGLE - PER_INSTALLMENT > Non-nullable: A value must be returned by Brazil's open finance network if the fees field is available. Enum: "SINGLE", "PER_INSTALLMENT" - `account.loan_data.fees.fee_charge` (string, required) Billing method, as agreed upon with the institution. We return one of the following values: - MINIMUM - MAXIMUM - FIXED - PERCENTAGE > Non-nullable: A value must be returned by Brazil's open finance network if the fees field is available. Enum: "MINIMUM", "MAXIMUM", "FIXED", "PERCENTAGE" - `account.loan_data.fees.rate` (number,null, required) The percentage rate of the fee. Required when fee_charge is set to PERCENTAGE. Example: 0.062 - `account.loan_data.contracted_charges` (array,null) - `account.loan_data.contracted_charges.type` (string) The type of contracted charge. We return one of the following values: - LATE_PAYMENT_INTEREST_FEE - LATE_PAYMENT_PENALTY_FEE - DEFAULT_INTEREST_FEE - LOAN_CONTRACT_TAX - LATE_PAYMENT_TAX - NO_CHARGE - OTHER > Non-nullable: A value must be returned by Brazil's open finance network if the contracted_charges field is available. Enum: "LATE_PAYMENT_INTEREST_FEE", "LATE_PAYMENT_PENALTY_FEE", "DEFAULT_INTEREST_FEE", "LOAN_CONTRACT_TAX", "LATE_PAYMENT_TAX", "NO_CHARGE", "OTHER" - `account.loan_data.contracted_charges.info` (string,null) Additional information regarding the contracted charge. Example: "Late fee" - `account.loan_data.contracted_charges.rate` (number,null) The percentage rate of the charge, calculated based on the amount of the loan. Example: 0.062 - `account.loan_data.collaterals` (array,null, required) Details regarding any loan collaterals that the individual or business supplied. - `account.loan_data.collaterals.type` (string, required) The type of collateral, as defined by the institution. > Non-nullable: A value must be returned by Brazil's open finance network if the collaterals field is available. Example: "OPERACOES_GARANTIDAS_PELO_GOVERNO" - `account.loan_data.collaterals.subtype` (string, required) The subtype of the collateral, as defined by the institution. > Non-nullable: A value must be returned by Brazil's open finance network if the collaterals field is available. Example: "CCR_CONVENIO_CREDITOS_RECIPROCOS" - `account.loan_data.collaterals.currency` (string, required) The three-letter currency code (ISO-4217). > Non-nullable: A value must be returned by Brazil's open finance network if the collaterals field is available. Example: "BRL" - `account.loan_data.collaterals.amount` (number, required) The total amount of the bill. > Non-nullable: A value must be returned by Brazil's open finance network if the collaterals field is available. Example: 45391.89 - `account.loan_data.balloon_payments` (array,null, required) Detailed information regarding any balloon payments for the loan, if applicable. - `account.loan_data.balloon_payments.due_date` (string,null, required) The date that the balloon payment is to be paid, in YYYY-MM-DD format. Example: "2021-09-06" - `account.loan_data.balloon_payments.currency` (string,null, required) The three-letter currency code (ISO-4217). Example: "BRL" - `account.loan_data.balloon_payments.amount` (number,null, required) The total amount of the balloon payment. Example: 45391.89 - `account.loan_data.installments_contract_term_frequency` (string,null, required) The frequency of contracted installment payments, as defined when the contract was first signed. We return one of the following: - DAY - WEEK - MONTH - YEAR - NO_DEADLINE_REMAINING - null Enum: "DAY", "WEEK", "MONTH", "YEAR", "NO_DEADLINE_REMAINING", null - `account.loan_data.installment_frequency` (string, required) The frequency that the installments are paid. We return one of the following values: - IRREGULAR - WEEKLY - FORTNIGHTLY - MONTHLY - BIMONTHLY - QUARTERLY - BIANNUALLY - ANNUALLY - OTHER > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "IRREGULAR", "WEEKLY", "FORTNIGHTLY", "MONTHLY", "BIMONTHLY", "QUARTERLY", "BIANNUALLY", "ANNUALLY", "OTHER" - `account.loan_data.installment_frequency_info` (string,null, required) Additional information regarding the installment_frequency. Example: "Both the term and requency are the same." - `account.loan_data.first_installment_due_date` (string,null, required) The date when the first installment of the loan is to be paid, in YYYY-MM-DD format. Example: "2020-03-01" - `account.loan_data.number_of_installments_total` (integer,null, required) The total number of installments required to pay the loan. Example: 60 - `account.loan_data.number_of_installments_outstanding` (integer,null, required) The number of installments left to pay. Example: 48 - `account.loan_data.number_of_installments_paid` (integer,null, required) The number of installments already paid. Example: 32 - `account.loan_data.number_of_installments_past_due` (integer,null, required) The number of installments that are overdue. Example: 2 - `account.loan_data.disbursement_dates` (array,null, required) An array of dates when the loan was disbursed. Example: ["2021-09-23"] - `account.loan_data.settlement_date` (string,null, required) The date that the loan was settled, in YYYY-MM-DD format. Example: "2021-09-23" - `account.loan_data.contract_start_date` (string, required) The date when the loan contract was signed, in YYYY-MM-DD format. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "2020-03-01" - `account.loan_data.contract_end_date` (string,null, required) The date when the loan is expected to be completed, in YYYY-MM-DD format. Example: "2027-10-01" - `account.loan_data.contract_remaining_frequency` (string,null, required) The frequency of the remaining contracted installment payments, as defined when the contract was first signed. We return one of the following: - DAY - WEEK - MONTH - YEAR - NO_DEADLINE_REMAINING - null Enum: "DAY", "WEEK", "MONTH", "YEAR", "NO_DEADLINE_REMAINING", null - `account.loan_data.contract_remaining_total` (integer,null, required) The total number of installments remaining on the loan. Example: 20 - `account.loan_data.amortization_schedule` (string, required) The loan amortization schedule. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "SEM_SISTEMA_AMORTIZACAO" - `account.loan_data.amortization_schedule_info` (string,null, required) Additional information regarding the amortization_schedule. Example: "No need for a schedule." - `account.loan_data.consignee_id` (string,null, required) The ID of the consignee of the loan. Example: "60500998000135" - `account.loan_data.contract_number` (string,null, required) The contract number of the loan, as given by the institution. Example: "1324926521496" - `account.loan_data.principal` (number,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.payment_day` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.outstanding_principal` (number,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.credit_limit` (number,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.last_period_balance` (number,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.limit_day` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.cutting_day` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.cutting_date` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.funds_data` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `internal_identification` (string,null) The institution's internal identifier for the bill. Example: "92792126019929279212650822221989319252576" - `bill_name` (string,null) The title of the monthly credit card bill the transaction belongs to. The format of the returned value is institution specific, however, some common examples are: - diciembre-2021 - dec-2021 - dec-21 > Note: This field is only returned for 'closed' bills (meaning the billing period has ended and the bill has been emitted). If the billing period is still ongoing, we return null. Example: "apr-2020" - `due_date` (string,null) The date that the bill is to be paid, in YYYY-MM-DD format. Example: "2021-09-06" - `total_amount` (number,null) The total amount of the bill. Example: 45391.89 - `minimum_amount` (number,null) The minimum amount to pay. Example: 391.89 - `is_installment` (boolean,null) Boolean to indicate whether this bill can be paid in installments. - `finance_charges` (array) - `finance_charges.type` (string,null) The type of finance charge applied to the bill. We return one of the following values: - LATE_PAYMENT_INTEREST - LATE_FEE - ARREARS_INTEREST - IOF - NO_CHARGE - OTHER - null Enum: "LATE_PAYMENT_INTEREST", "LATE_FEE", "ARREARS_INTEREST", "IOF", "NO_CHARGE", "OTHER", null - `finance_charges.additional_info` (string,null) Additional information about the finance charge. Example: "Paid 15 days late, fee applied." - `finance_charges.amount` (number,null) The amount of the finance charge. Example: 91.89 - `payments` (array) - `payments.type` (string,null) The type of payment. We return one of the following values: - INSTALLMENT - FULL - OTHER - null Enum: "INSTALLMENT", "FULL", "OTHER", null - `payments.payment_date` (string,null) The date that the payment was made, in YYYY-MM-DD format. Example: "2021-09-04" - `payments.payment_mode` (string,null) The method in which the payment was made. We return one of the following values: - DIRECT_DEBIT - BANK_SLIP - SALARY_DEDUCTION - PIX - null Enum: "DIRECT_DEBIT", "BANK_SLIP", "SALARY_DEDUCTION", "PIX", null - `payments.amount` (number,null) The amount of the payment. Example: 500.15 ## Response 201 fields (application/json): - `id` (string) Belvo's unique identifier for the current item. Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d" - `created_at` (string) The ISO-8601 timestamp of when the data point was created in Belvo's database. Example: "2022-02-09T08:45:50.406032Z" - `collected_at` (string) The ISO-8601 timestamp when the data point was collected. Example: "2022-02-09T08:45:50.406032Z" - `account` (object,null) Details regarding the account. - `account.link` (string,null, required) The link.id the data belongs to. Example: "30cb4806-6e00-48a4-91c9-ca55968576c8" - `account.institution` (object, required) Details regarding the institution. - `account.institution.name` (string) The name of the institution, as designated by Belvo. Example: "erebor_mx_retail" - `account.institution.type` (string) The type of institution. We return one of the following values: - bank - fiscal - employment Enum: "bank", "fiscal", "employment" - `account.last_accessed_at` (string,null, required) The ISO-8601 timestamp of Belvo's most recent successful access to the institution for the given link. Example: "2021-03-09T10:28:40.000Z" - `account.category` (string,null, required) The type of account. We return one of the following enum values: - ADVANCE_DEPOSIT_ACCOUNT - CHECKING_ACCOUNT - CREDIT_CARD - FINANCING_ACCOUNT - INVESTMENT_ACCOUNT - INVOICE_FINANCING_ACCOUNT - LOAN_ACCOUNT - PENSION_FUND_ACCOUNT - SAVINGS_ACCOUNT - UNCATEGORIZED Enum: "ADVANCE_DEPOSIT_ACCOUNT", "CHECKING_ACCOUNT", "CREDIT_CARD", "FINANCING_ACCOUNT", "INVESTMENT_ACCOUNT", "INVOICE_FINANCING_ACCOUNT", "LOAN_ACCOUNT", "PENSION_FUND_ACCOUNT", "SAVINGS_ACCOUNT", "UNCATEGORIZED" - `account.balance_type` (string,null, required) Indicates whether this account is either an ASSET or a LIABILITY. You can consider the balance of an ASSET as being positive, while the balance of a LIABILITY as negative. Example: "ASSET" - `account.overdraft` (object,null) - `account.overdraft.arranged` (number, required) The agreed upon overdraft limit between the account holder and the institution. > Non-nullable: A value must be returned by Brazil's open finance network if the overdraft field is available. Example: 5000.5 - `account.overdraft.used` (number, required) The overdraft value used. > Non-nullable: A value must be returned by Brazil's open finance network if the overdraft field is available. Example: 1000.5 - `account.overdraft.unarranged` (number, required) The overdraft used that was not arranged between the account holder and the institution. > Non-nullable: A value must be returned by Brazil's open finance network if the overdraft field is available. Example: 300.1 - `account.type` (string, required) The account type, as designated by the institution. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "STANDARD_NACIONAL" - `account.subtype` (string, required) The account subtype, as designated by the institution. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "FINANCIAMENTO_HABITACIONAL_SFH" - `account.name` (string,null, required) The account name, as given by the institution. Example: "Cuenta Perfiles- M.N. - MXN-666" - `account.number` (string,null, required) The account number, as designated by the institution. Example: "4057068115181" - `account.agency` (string,null, required) The branch code where the product was opened. Example: "6272" - `account.check_digit` (string,null, required) The check digit of the product's number, if applicable. Example: "7" - `account.balance` (object, required) Details regarding the current and available balances for the account. - `account.balance.current` (number,null, required) The current balance is calculated differently according to the type of account. - 💰 Checking and saving accounts: The user's account balance at the collected_at timestamp. - 💳 Credit cards: The amount the user has spent in the current card billing period (see credit_data.cutting_date for information on when the current billing period finishes). - 🏡 Loan accounts: The amount remaining to pay on the users's loan. Example: 5874.13 - `account.balance.available` (number,null) The balance that the account owner can use. - 💰 Checking and saving accounts: The available balance may be different to the current balance due to pending transactions. - 💳 Credit cards: The credit amount the user still has available for the current period. The amount is calculated as credit_data.credit_limit minus balance.current. - 🏡 Loan accounts: The present value required to pay off the loan, as provided by the institution. Note: If the institution does not provide this value, we return null. Example: 5621.12 - `account.balance.blocked` (number) The amount that is currently blocked due to pending transactions. > Non-nullable: A value must be returned by Brazil's open finance network if the balances field is available. Example: 60.32 - `account.balance.automatically_invested` (number) The amount that is automatically invested (as agreed upon with the institution). > Non-nullable: A value must be returned by Brazil's open finance network if the balances field is available. Example: 131.5 - `account.currency` (string, required) The three-letter currency code (ISO-4217). > Non-nullable: A value must be returned by Brazil's open finance network if the balances field is available. Example: "BRL" - `account.public_identification_name` (string,null, required) The public name for the type of identification. For 🇧🇷 Brazilian savings and checking accounts, this field will be AGENCY/ACCOUNT. Example: "AGENCY/ACCOUNT" - `account.public_identification_value` (string,null, required) The value for the public_identification_name. For 🇧🇷 OFDA Brazilian savings and checking accounts, this field will be the agency and bank account number, separated by a slash. For example: 0444/45722-0. For 🇧🇷 OFDA Brazilian credit card accounts, we will return a string of concatenated credit card numbers associated with the account. For example: "8763,9076,5522" Example: "0444/45722-0" - `account.internal_identification` (string, required) The institution's internal identification for the account. > Non-nullable: A value must be returned by Brazil's open finance network if the balances field is available. Example: "92792126019929279212650822221989319252576" - `account.credit_data` (object,null, required) Details regarding the credit cards associated with this account. - `account.credit_data.credit_limit` (number,null, required) The upper credit limit of the card. > Non-nullable: A value must be returned by Brazil's open finance network. Example: 192000.9 - `account.credit_data.limits` (array) - `account.credit_data.limits.identification_number` (string,null, required) The credit card number. Note: Often, this is just the last four digit of the credit card. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "4453" - `account.credit_data.limits.credit_limit` (number,null, required) The limit of the credit card. Example: 1000.04 - `account.credit_data.limits.used_amount` (number,null, required) The amount used. Example: 400.04 - `account.credit_data.limits.available_amount` (number, required) The amount still available. > Non-nullable: A value must be returned by Brazil's open finance network. Example: 600 - `account.credit_data.limits.is_limit_flexible` (boolean, required) Boolean to indicate if the credit_limit is flexible. > Non-nullable: A value must be returned by Brazil's open finance network. - `account.credit_data.limits.type` (string, required) The type of limit. We return one of the following values: - TOTAL_LIMIT - MODAL_LIMIT > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "TOTAL_LIMIT", "MODAL_LIMIT" - `account.credit_data.limits.consolidation_type` (string, required) Indicates whether or not the credit limit is consolidated or individual. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "INDIVIDUAL" - `account.credit_data.limits.line_name` (string,null, required) The credit limit line name. Example: "CREDITO_A_VISTA" - `account.credit_data.limits.line_name_additional_info` (string,null, required) Additional information about the line name. Example: "Informações adicionais e complementares" - `account.credit_data.cutting_date` (string,null) The date when the credit card's bill is due. Example: "2019-12-11" - `account.credit_data.minimum_payment` (number,null) The minimum amount that the account owner needs to pay in the current credit period. Example: 2400.3 - `account.credit_data.network` (string) The credit network that the card is associated with. We return one of the following values: - VISA - MASTERCARD - AMERICAN_EXPRESS - DINERS_CLUB - HIPERCARD - BANDEIRA_PROPRIA - CHEQUE_ELETRONICO - ELO - OTHER > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "VISA", "MASTERCARD", "AMERICAN_EXPRESS", "DINERS_CLUB", "HIPERCARD", "BANDEIRA_PROPRIA", "CHEQUE_ELETRONICO", "ELO", "OTHER" - `account.credit_data.network_additional_info` (string,null) Additional information about the credit card network. Example: "It's an orange card." - `account.credit_data.cards` (array) Details regarding the cards associated with the account. - `account.credit_data.cards.is_multiple` (boolean, required) Boolean to indicate if this account has multiple credit cards. > Non-nullable: A value must be returned by Brazil's open finance network. - `account.credit_data.next_payment_date` (string,null) Note: This field is not applicable for OF Brazil and will return null. - `account.credit_data.no_interest_payment` (number,null) Note: This field is not applicable for OF Brazil and will return null. - `account.credit_data.interest_rate` (number,null) Note: This field is not applicable for OF Brazil and will return null. - `account.credit_data.monthly_payment` (number,null) Note: This field is not applicable for OF Brazil and will return null. - `account.credit_data.last_payment_date` (string,null) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data` (object,null, required) The loan options associated with this account. - `account.loan_data.loan_code` (string, required) The country-specific standardized contract number. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "92792126019929279212650822221989319252576" - `account.loan_data.contract_amount` (number,null, required) The initial total loan amount when the contract was signed, calculated by the institution. This amount includes the principal + interest + taxes + fees. Example: 202000 - `account.loan_data.total_effective_cost` (number,null) The initial total effective cost of the loan. Example: 209000 - `account.loan_data.loan_type` (string, required) The type of the loan, according to the institution. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "HOME_EQUITY" - `account.loan_data.outstanding_balance` (number,null, required) The amount remaining to pay in total, including interest. Example: 182000 - `account.loan_data.interest_rates` (array, required) Breakdown of the interest applied to the loan. With OF Brazil, we highly recommend using the information in interest_rate_data for in-depth information. > Non-nullable: A value must be returned by Brazil's open finance network. - `account.loan_data.interest_rates.name` (string,null, required) The name of the type of interest rate applied to the loan. Note: For OFDA Brazil, we recommend you use the interest_date_data.tax_type parameter. Example: "NOMINAL" - `account.loan_data.interest_rates.type` (string, required) The period that the interest is applied to the loan. > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "MONTHLY", "YEARLY" - `account.loan_data.interest_rates.value` (number,null, required) The interest rate (in percent or currency value). Note: For OFDA Brazil, we recommend you use the interest_date_data.pre_fixed_rate and interest_date_data.post_fixed_rateparameter. Example: 7.85 - `account.loan_data.interest_rates.interest_rate_data` (object,null, required) Detailed information regarding the interest rate. - `account.loan_data.interest_rates.interest_rate_data.tax_type` (string, required) The type of interest rate tax. We return one of the following values: - NOMINAL - EFFECTIVE > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "NOMINAL", "EFFECTIVE" - `account.loan_data.interest_rates.interest_rate_data.rate_type` (string, required) The type of interest rate. We return one of the following values: - SIMPLE - COMPOUND > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "SIMPLE", "COMPOUND" - `account.loan_data.interest_rates.interest_rate_data.calculation_base` (string, required) The base calculation for the interest rate. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "30/360" - `account.loan_data.interest_rates.interest_rate_data.reference_index_type` (string, required) The reference index rate. We return one of the following values: - WITHOUT_INDEX_TYPE - PRE_FIXED - POST_FIXED - FLOATING - INDEXED_PRICE - RURAL_CREDIT - OTHER_INDEX > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "WITHOUT_INDEX_TYPE", "PRE_FIXED", "POST_FIXED", "FLOATING", "INDEXED_PRICE", "RURAL_CREDIT", "OTHER_INDEX" - `account.loan_data.interest_rates.interest_rate_data.reference_index_subtype` (string,null, required) The subtype of the reference index rate. Example: "TR_TBF" - `account.loan_data.interest_rates.interest_rate_data.reference_index_info` (string,null, required) Additional information regarding the reference index rate. Example: "Additional information" - `account.loan_data.interest_rates.interest_rate_data.pre_fixed_rate` (number, required) The pre-fixed percentage rate of the interest rate. > Non-nullable: A value must be returned by Brazil's open finance network. Example: 0.062 - `account.loan_data.interest_rates.interest_rate_data.post_fixed_rate` (number, required) The post-fixed percentage rate of the interest rate. > Non-nullable: A value must be returned by Brazil's open finance network. Example: 0.062 - `account.loan_data.interest_rates.interest_rate_data.additional_info` (string,null, required) Additional information regarding the interest rate. Example: "Additional information" - `account.loan_data.fees` (array,null, required) Breakdown of the fees applied to the loan. - `account.loan_data.fees.type` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. Enum: "OPERATION_FEE", "INSURANCE_FEE", "OTHERS", null - `account.loan_data.fees.value` (number,null, required) The total value of the fee. Same currency as the loan. Example: 5.6 - `account.loan_data.fees.name` (string, required) The fee name. > Non-nullable: A value must be returned by Brazil's open finance network if the fees field is available. Example: "Renovação de cadastro" - `account.loan_data.fees.code` (string, required) The fee code. > Non-nullable: A value must be returned by Brazil's open finance network if the fees field is available. Example: "CADASTRO" - `account.loan_data.fees.fee_charge_type` (string, required) Indicates the type of charge. We return one of the following values: - SINGLE - PER_INSTALLMENT > Non-nullable: A value must be returned by Brazil's open finance network if the fees field is available. Enum: "SINGLE", "PER_INSTALLMENT" - `account.loan_data.fees.fee_charge` (string, required) Billing method, as agreed upon with the institution. We return one of the following values: - MINIMUM - MAXIMUM - FIXED - PERCENTAGE > Non-nullable: A value must be returned by Brazil's open finance network if the fees field is available. Enum: "MINIMUM", "MAXIMUM", "FIXED", "PERCENTAGE" - `account.loan_data.fees.rate` (number,null, required) The percentage rate of the fee. Required when fee_charge is set to PERCENTAGE. Example: 0.062 - `account.loan_data.contracted_charges` (array,null) - `account.loan_data.contracted_charges.type` (string) The type of contracted charge. We return one of the following values: - LATE_PAYMENT_INTEREST_FEE - LATE_PAYMENT_PENALTY_FEE - DEFAULT_INTEREST_FEE - LOAN_CONTRACT_TAX - LATE_PAYMENT_TAX - NO_CHARGE - OTHER > Non-nullable: A value must be returned by Brazil's open finance network if the contracted_charges field is available. Enum: "LATE_PAYMENT_INTEREST_FEE", "LATE_PAYMENT_PENALTY_FEE", "DEFAULT_INTEREST_FEE", "LOAN_CONTRACT_TAX", "LATE_PAYMENT_TAX", "NO_CHARGE", "OTHER" - `account.loan_data.contracted_charges.info` (string,null) Additional information regarding the contracted charge. Example: "Late fee" - `account.loan_data.contracted_charges.rate` (number,null) The percentage rate of the charge, calculated based on the amount of the loan. Example: 0.062 - `account.loan_data.collaterals` (array,null, required) Details regarding any loan collaterals that the individual or business supplied. - `account.loan_data.collaterals.type` (string, required) The type of collateral, as defined by the institution. > Non-nullable: A value must be returned by Brazil's open finance network if the collaterals field is available. Example: "OPERACOES_GARANTIDAS_PELO_GOVERNO" - `account.loan_data.collaterals.subtype` (string, required) The subtype of the collateral, as defined by the institution. > Non-nullable: A value must be returned by Brazil's open finance network if the collaterals field is available. Example: "CCR_CONVENIO_CREDITOS_RECIPROCOS" - `account.loan_data.collaterals.currency` (string, required) The three-letter currency code (ISO-4217). > Non-nullable: A value must be returned by Brazil's open finance network if the collaterals field is available. Example: "BRL" - `account.loan_data.collaterals.amount` (number, required) The total amount of the bill. > Non-nullable: A value must be returned by Brazil's open finance network if the collaterals field is available. Example: 45391.89 - `account.loan_data.balloon_payments` (array,null, required) Detailed information regarding any balloon payments for the loan, if applicable. - `account.loan_data.balloon_payments.due_date` (string,null, required) The date that the balloon payment is to be paid, in YYYY-MM-DD format. Example: "2021-09-06" - `account.loan_data.balloon_payments.currency` (string,null, required) The three-letter currency code (ISO-4217). Example: "BRL" - `account.loan_data.balloon_payments.amount` (number,null, required) The total amount of the balloon payment. Example: 45391.89 - `account.loan_data.installments_contract_term_frequency` (string,null, required) The frequency of contracted installment payments, as defined when the contract was first signed. We return one of the following: - DAY - WEEK - MONTH - YEAR - NO_DEADLINE_REMAINING - null Enum: "DAY", "WEEK", "MONTH", "YEAR", "NO_DEADLINE_REMAINING", null - `account.loan_data.installment_frequency` (string, required) The frequency that the installments are paid. We return one of the following values: - IRREGULAR - WEEKLY - FORTNIGHTLY - MONTHLY - BIMONTHLY - QUARTERLY - BIANNUALLY - ANNUALLY - OTHER > Non-nullable: A value must be returned by Brazil's open finance network. Enum: "IRREGULAR", "WEEKLY", "FORTNIGHTLY", "MONTHLY", "BIMONTHLY", "QUARTERLY", "BIANNUALLY", "ANNUALLY", "OTHER" - `account.loan_data.installment_frequency_info` (string,null, required) Additional information regarding the installment_frequency. Example: "Both the term and requency are the same." - `account.loan_data.first_installment_due_date` (string,null, required) The date when the first installment of the loan is to be paid, in YYYY-MM-DD format. Example: "2020-03-01" - `account.loan_data.number_of_installments_total` (integer,null, required) The total number of installments required to pay the loan. Example: 60 - `account.loan_data.number_of_installments_outstanding` (integer,null, required) The number of installments left to pay. Example: 48 - `account.loan_data.number_of_installments_paid` (integer,null, required) The number of installments already paid. Example: 32 - `account.loan_data.number_of_installments_past_due` (integer,null, required) The number of installments that are overdue. Example: 2 - `account.loan_data.disbursement_dates` (array,null, required) An array of dates when the loan was disbursed. Example: ["2021-09-23"] - `account.loan_data.settlement_date` (string,null, required) The date that the loan was settled, in YYYY-MM-DD format. Example: "2021-09-23" - `account.loan_data.contract_start_date` (string, required) The date when the loan contract was signed, in YYYY-MM-DD format. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "2020-03-01" - `account.loan_data.contract_end_date` (string,null, required) The date when the loan is expected to be completed, in YYYY-MM-DD format. Example: "2027-10-01" - `account.loan_data.contract_remaining_frequency` (string,null, required) The frequency of the remaining contracted installment payments, as defined when the contract was first signed. We return one of the following: - DAY - WEEK - MONTH - YEAR - NO_DEADLINE_REMAINING - null Enum: "DAY", "WEEK", "MONTH", "YEAR", "NO_DEADLINE_REMAINING", null - `account.loan_data.contract_remaining_total` (integer,null, required) The total number of installments remaining on the loan. Example: 20 - `account.loan_data.amortization_schedule` (string, required) The loan amortization schedule. > Non-nullable: A value must be returned by Brazil's open finance network. Example: "SEM_SISTEMA_AMORTIZACAO" - `account.loan_data.amortization_schedule_info` (string,null, required) Additional information regarding the amortization_schedule. Example: "No need for a schedule." - `account.loan_data.consignee_id` (string,null, required) The ID of the consignee of the loan. Example: "60500998000135" - `account.loan_data.contract_number` (string,null, required) The contract number of the loan, as given by the institution. Example: "1324926521496" - `account.loan_data.principal` (number,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.payment_day` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.outstanding_principal` (number,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.credit_limit` (number,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.last_period_balance` (number,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.limit_day` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.cutting_day` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.loan_data.cutting_date` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `account.funds_data` (string,null, required) Note: This field is not applicable for OF Brazil and will return null. - `internal_identification` (string,null) The institution's internal identifier for the bill. Example: "92792126019929279212650822221989319252576" - `bill_name` (string,null) The title of the monthly credit card bill the transaction belongs to. The format of the returned value is institution specific, however, some common examples are: - diciembre-2021 - dec-2021 - dec-21 > Note: This field is only returned for 'closed' bills (meaning the billing period has ended and the bill has been emitted). If the billing period is still ongoing, we return null. Example: "apr-2020" - `due_date` (string,null) The date that the bill is to be paid, in YYYY-MM-DD format. Example: "2021-09-06" - `total_amount` (number,null) The total amount of the bill. Example: 45391.89 - `minimum_amount` (number,null) The minimum amount to pay. Example: 391.89 - `is_installment` (boolean,null) Boolean to indicate whether this bill can be paid in installments. - `finance_charges` (array) - `finance_charges.type` (string,null) The type of finance charge applied to the bill. We return one of the following values: - LATE_PAYMENT_INTEREST - LATE_FEE - ARREARS_INTEREST - IOF - NO_CHARGE - OTHER - null Enum: "LATE_PAYMENT_INTEREST", "LATE_FEE", "ARREARS_INTEREST", "IOF", "NO_CHARGE", "OTHER", null - `finance_charges.additional_info` (string,null) Additional information about the finance charge. Example: "Paid 15 days late, fee applied." - `finance_charges.amount` (number,null) The amount of the finance charge. Example: 91.89 - `payments` (array) - `payments.type` (string,null) The type of payment. We return one of the following values: - INSTALLMENT - FULL - OTHER - null Enum: "INSTALLMENT", "FULL", "OTHER", null - `payments.payment_date` (string,null) The date that the payment was made, in YYYY-MM-DD format. Example: "2021-09-04" - `payments.payment_mode` (string,null) The method in which the payment was made. We return one of the following values: - DIRECT_DEBIT - BANK_SLIP - SALARY_DEDUCTION - PIX - null Enum: "DIRECT_DEBIT", "BANK_SLIP", "SALARY_DEDUCTION", "PIX", null - `payments.amount` (number,null) The amount of the payment. Example: 500.15 ## Response 403 fields (application/json): - `code` (string) A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied. Example: "access_to_resource_denied" - `message` (string) A short description of the error. For access_to_resource_denied errors, the description is: - You don't have access to this resource.. Example: "You don't have access to this resource." - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" ## Response 404 fields (application/json): - `code` (string) A unique error code (not_found) that allows you to classify and handle the error programmatically. Example: "not_found" - `message` (string) A short description of the error. For not_found errors, the description is: - Not found Example: "Not found" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" ## Response 408 fields (application/json): - `code` (string) A unique error code (request_timeout) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors. Example: "request_timeout" - `message` (string) A short description of the error. For request_timeout errors, the description is: - The request timed out, you can retry asking for less data by changing your query parameters. Example: "The request timed out, you can retry asking for less data by changing your query parameters" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" ## Response 428 fields (application/json): - `code` (string) A unique error code (token_required) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 428 token_required errors. Example: "token_required" - `message` (string) A short description of the error. For token_required errors, the description is: - A MFA token is required by the institution to login. Example: "A MFA token is required by the institution to login" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb" - `session` (string) A 32-character unique ID of the login session (matching a regex pattern of: [a-f0-9]{32}). Example: "2675b703b9d4451f8d4861a3eee54449" - `expiry` (integer) Session duration time in seconds. Example: 9600 - `link` (string) Unique identifier created by Belvo, used to reference the current Link. Example: "30cb4806-6e00-48a4-91c9-ca55968576c8" - `token_generation_data` (object) Details on how to generate the token. - `token_generation_data.instructions` (string) Instructions for token generation. Example: "Use this code to generate the token" - `token_generation_data.type` (string) Type of the data to generate the token (QR code, numeric challenge). Example: "numeric" - `token_generation_data.value` (string) Value to use to generate the token. Example: "12345" - `token_generation_data.expects_user_input` (boolean) Indicates whether the user needs to provide input in order to complete the authentication. When set to false, your user may need to: - confirm the login on another device - scan a QR code You will still need to make a PATCH call to complete the request. Example: true ## Response 500 fields (application/json): - `code` (string) A unique error code (unexpected_error) that allows you to classify and handle the error programmatically. ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors. Example: "unexpected_error" - `message` (string) A short description of the error. For unexpected_error errors, the description is: - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution. Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution" - `request_id` (string) A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations. Example: "9e7b283c6efa449c9c028a16b5c249fb"